Subject: NCI SMILES Database

From: "Renzo Balducci" <[email-masked]>
Date: Fri, 12 Sep 1997 12:36:22 -0500

On Sep 12, 11:34am, Wolf-Dietrich Ihlenfeldt wrote:
> Subject: CCL:NCI SMILES Database
> On Sep 9, 22:14, Ray Crawford wrote:
> > Subject: CCL:Re: CCL:NCI SMILES Database
> >
> > All,
> >
> > Marc C. Nicklaus & Bruno Bienfait raised an interesting point...  It is
> > difficult to do string comparisons with SMILES...  Does anyone know of any
> > utilities available that can do this quickly and painlessly?
> >
> > 	Thanks,
> > 		Ray Crawford
> > 		The P&G Co.
> >
>
> Sure. The CACTVS toolkit programs (which was used to create one of
> the datasets) can read and compare SMILES-encoded structures.
>
> Note however that this is not a string-level comparison but
> operates on the decoded structures. Therefore, it is several
> magnitudes slower than simple string matching (but probably
> still fast enough for most applications).
>
> The alternative is USMILES (Unique SMILES), a procedure
> to generate a unique SMILES string, regardless of
> the order of atoms in the structure etc. Unfortunately, as
> far as I know, the precise mechanism to generate this
> string is unpublished and proprietory to Daylight.
> If I am wrong with this, I'd be interested in a reference.

D. Weininger, A. Weininger, and J. L. Weininger
"SMILES. 2. Algorithm for Generation of Unique SMILES Notation"
J.Chem.Inf.Comput.Sci. (1989), 29, p.97-101

	---Renzo

-- 
------------------------------------------------------------------------
Renzo Balducci                          [email-masked]
Research Associate & System Manager     [email-masked]
College of Pharmacy                     Voice: (512) 471-8509
Univ. of Texas --- Austin, TX 78712       FAX: (512) 471-7474
------------------------------------------------------------------------
"We are perhaps not far removed from the time when we shall be able to 
submit the bulk of chemical phenomena to calculation." Gay-Lussac (1808)

     ++++ stop the execution of Mumia Abu-Jamal ++++
 ++++ if you agree copy these 3 sentences in your own sig ++++
++++ see: http://www.xs4all.nl/~tank/spg-l/sigaction.htm ++++